<?
//generalpic 通用图片处理的定义文件，被包含在generalpics.php，也需要在menu定义
//generalpic类型选择语句, 表名、图片文件存储目录、字段变量名 存储变量
//$WorkShopFolders  $BigFoldersProducts 等在contanst中定义
//$thisPicW $thisPicH 未设置则使 用SmallPicW SmallPicH

	$gen=$_GET['gen'];
	switch ($gen)
	{
		case "workshop":
			$showstr="工厂";
			$generalTable="ls_workshop";
			$folder1=$WorkShopFolders."/".$BigFoldersProducts;
			$folder2=$WorkShopFolders."/".$SmallFoldersProducts;
			$generalpicsPic="workshopPic";
			$generalpicsTitle="workshopTitle";
			$generalpicsText="workshopText";
			$generalpicsTips="图片宽度应在200-400点、高度在200-300点，格式为jpg，大小不要超过50KB";
			break;
			
		case "certificate":
			$showstr="证书";
			$generalTable="ls_certificate";
			$folder1=$CertificateFolders."/".$BigFoldersProducts;
			$folder2=$CertificateFolders."/".$SmallFoldersProducts;
			$generalpicsPic="Pic";
			$generalpicsTitle="Title";
			$generalpicsText="Text";
			$generalpicsTips="图片宽度应在200-400点、高度在200-300点，格式为jpg，大小不要超过50KB";
			break;
			
		case "quality":
			$showstr="项目客户";
			$generalTable="ls_qualitycontrol";
			$folder1=$qualitycontrolFolders."/".$BigFoldersProducts;
			$folder2=$qualitycontrolFolders."/".$SmallFoldersProducts;
			$generalpicsPic="Pic";
			$generalpicsTitle="Title";
			$generalpicsText="Text";
			$generalpicsTips="图片宽度应在200-400点、高度在200-300点，格式为jpg，大小不要超过50KB";
			break;
			
		case "packing":
			$showstr="包装";
			$generalTable="ls_packing";
			$folder1=$packingFolders."/".$BigFoldersProducts;
			$folder2=$packingFolders."/".$SmallFoldersProducts;
			$generalpicsPic="Pic";
			$generalpicsText="Text";
			$generalpicsTips="图片宽度应在200-400点、高度在200-300点，格式为jpg，大小不要超过50KB";
			break;

		case "revolvingpics":
			$showstr="主页流动";
			$generalTable="ls_revolvingpics";
			$folder1=$revolvingpicsFolders."/".$BigFoldersProducts;
			$folder2=$revolvingpicsFolders."/".$SmallFoldersProducts;
			$generalpicsPic="Pic";
			$generalpicsText="Text";
			$thisPicW=$revolvingPicW;
			$thisPicH=$revolvingPicH;
			$generalpicsTips="图片宽度".$thisPicW."点、高度在".$thisPicH."点，格式为jpg，大小不要超过50KB";
			$sameSide="H";  //小图定高
			break;
			
		case "rd":
			$showstr="研发";
			$generalTable="ls_rd";
			$folder1=$rdFolders."/".$BigFoldersProducts;
			$folder2=$rdFolders."/".$SmallFoldersProducts;
			$generalpicsPic="Pic";
			$generalpicsTitle="Title";
			$generalpicsText="Text";
			$generalpicsTips="图片宽度应在200-400点、高度在200-300点，格式为jpg，大小不要超过50KB";
			break;

		case "brand":
			$showstr="品牌";
			$generalTable="ls_brand";
			$folder1=$brandFolders."/".$BigFoldersProducts;
			$folder2=$brandFolders."/".$SmallFoldersProducts;
			$generalpicsPic="Pic";
			$generalpicsTitle="Title";
			$generalpicsText="Text";
			$generalpicsTips="图片宽度应在200-400点、高度在200-300点，格式为jpg，大小不要超过50KB";
			break;

		case "management":
			$showstr="团队";
			$generalTable="ls_management";
			$folder1=$managementFolders."/".$BigFoldersProducts;
			$folder2=$managementFolders."/".$SmallFoldersProducts;
			$generalpicsPic="Pic";
			$generalpicsTitle="Title";
			$generalpicsText="Text";
			$generalpicsTips="图片宽度应在200-400点、高度在200-300点，格式为jpg，大小不要超过50KB";
			break;

	}

?>
